#pfabric

#:::::::::::::::: Queue/ :::::::::::::::: 

set var(switch_alg) "DropTail" 
set var(queue_size) 24

#:::::::::::::::: Agent/TCP/ ::::::::::::::::

Agent/TCP set window_ 1000000 	; # 20 receiver window

# congestion
Agent/TCP set windowInit_ 12 	; # 2 initial congestion window cwnd
if { $var(queue_size) > 12 } {
   Agent/TCP set maxcwnd_ [expr $var(queue_size) - 1]
} else {
   Agent/TCP set maxcwnd_ 12
} 								; # 0: unlimit
Agent/TCP set windowOption_ 0 	; # cwnd increase pattern after ssthresh. 0: linear 1: standard

# retransmission
Agent/TCP set minrto_ 0.00045 	; # 0.2 minimum retransmission timeout, proportional to queue size difference
Agent/TCP set maxrto_ 2 		; # 60 maximum retransmission timeout
Agent/TCP set rtxcur_init_ 0.00045  ; # 3.0 initial value for current retransmit value
Agent/TCP set tcpTick_ 0.000001 	; # 0.01 clock granularity

#:::::::::::::::: Agent/TCP/FullTcp ::::::::::::::::

# DCTCP
Agent/TCP/FullTcp set interval_ 0.000006 	; # 0.1 delayed ACK interval

# pFabric (Shuang)
Agent/TCP/FullTcp set nodelay_ true 		; # disable Nagle
Agent/TCP/FullTcp set prio_scheme_ 2
Agent/TCP/FullTcp set prob_cap_ 5 			; # probe sent before entering probe mode
Agent/TCP/FullTcp set dynamic_dupack_ 1000000
Agent/TCP/FullTcp/Sack set clear_on_timeout_ false
Agent/TCP/FullTcp/Sack set sack_rtx_threshmode_ 2

set myAgent "Agent/TCP/FullTcp/Sack/MinTCP";


#:::::::::::::::: Queue/ ::::::::::::::::

Queue set limit_ $var(queue_size)

# pFabric DropTail
Queue/DropTail set drop_prio_ true
Queue/DropTail set deque_prio_ true

# pFabric Load Balancing (packet spray) param
$ns rtproto DV 		; # rtproto type: Static, Session, DV, cost, multi-path
Agent/rtProto/DV set advertInterval [expr 2 * $var(sim_end)]  
Node set multiPath_ 1 


#:::::::::::::::: Other ::::::::::::::::

# [gong] task-aware pFabric DropTail
# require testbed: pint
# Queue/DropTail set job_prio_mode_ false
# Queue/DropTail set thresh_ 100000 



