#codel

#:::::::::::::::: Queue/ :::::::::::::::: 

set var(switch_alg) "sfqCoDel"
set var(queue_size) 100

#:::::::::::::::: Agent/TCP/ ::::::::::::::::

#---------------- pFabric Settings ----------------

Agent/TCP set window_ 1000000 	; # 20 receiver window

# congestion
Agent/TCP set windowInit_ 12 	; # 2 initial congestion window cwnd
if { $var(queue_size) > 12 } {
   Agent/TCP set maxcwnd_ [expr $var(queue_size) - 1]
} else {
   Agent/TCP set maxcwnd_ 12
} 								; # 0: unlimit
Agent/TCP set windowOption_ 0 	; # cwnd increase pattern after ssthresh. 0: linear 1: standard

# retransmission
Agent/TCP set minrto_ 0.00045 	; # 0.2 minimum retransmission timeout, proportional to queue size difference
Agent/TCP set maxrto_ 2 		; # 60 maximum retransmission timeout
Agent/TCP set rtxcur_init_ 0.00045  ; # 3.0 initial value for current retransmit value
Agent/TCP set tcpTick_ 0.000001 	; # 0.01 clock granularity

# DCTCP
Agent/TCP set slow_start_restart_ true
Agent/TCP/FullTcp set spa_thresh_ 0 		; # 0:disable, rcv_nxt < spa_thresh? -> 1 seg per ack
Agent/TCP/FullTcp set interval_ 0.000006 	; # 0.1 delayed ACK interval

#---------------- pFabric Settings ----------------

set myAgent "Agent/TCP/FullTcp";

#:::::::::::::::: Queue/ ::::::::::::::::

Queue set limit_ $var(queue_size)

# sfqCoDel
Queue/sfqCoDel set target_ 0.000005; 	# 5ms target min delay in clock ticks
Queue/sfqCoDel set interval_ 0.0001; 	# 100ms
Queue/sfqCoDel set quantum_ 300; 	# 0 quantum value for byte rounding, if zero, rounds by packets
Queue/sfqCoDel set maxbins_ 1024;	# 1024 max number of bins

#:::::::::::::::: Other ::::::::::::::::


