#default

#:::::::::::::::: Queue/ :::::::::::::::: 

set var(switch_alg) "SFQ"
set var(queue_size) 800

#:::::::::::::::: Agent/TCP/ ::::::::::::::::

#---------------- pFabric Settings ----------------

Agent/TCP set window_ 1000000 	; # 20 receiver window

# congestion
Agent/TCP set windowInit_ 12 	; # 2 initial congestion window cwnd
if { $var(queue_size) > 12 } {
   Agent/TCP set maxcwnd_ [expr $var(queue_size) - 1]
} else {
   Agent/TCP set maxcwnd_ 12
} 								; # 0: unlimit
Agent/TCP set windowOption_ 0 	; # cwnd increase pattern after ssthresh. 0: linear 1: standard

# retransmission
Agent/TCP set minrto_ 0.00045 	; # 0.2 minimum retransmission timeout, proportional to queue size difference
Agent/TCP set maxrto_ 2 		; # 60 maximum retransmission timeout
Agent/TCP set rtxcur_init_ 0.00045  ; # 3.0 initial value for current retransmit value
Agent/TCP set tcpTick_ 0.000001 	; # 0.01 clock granularity

# DCTCP
Agent/TCP/FullTcp set interval_ 0.000006 	; # 0.1 delayed ACK interval

#---------------- pFabric Settings ----------------

set myAgent "Agent/TCP/FullTcp";

#:::::::::::::::: Queue/ ::::::::::::::::

Queue set limit_ $var(queue_size)

# SFQ
Queue/SFQ set maxqueue_ $var(queue_size)
Queue/SFQ set buckets_ [expr int(ceil($var(queue_size)/20))]  ; # 25 pkts for each bucket ~ pfabric

#:::::::::::::::: Other ::::::::::::::::

# [gong] task-aware SFQ
# require testbed: pint
# Queue/SFQ set job_prio_mode_ false

# sfqCoDel (default: 0.1/0.005/1024)
# Queue/sfqCoDel set interval_ 0.1
# Queue/sfqCoDel set target_ 0.005
# Queue/sfqCoDel set maxbins_ 2048



