
#:::::::::::::::: debug config ::::::::::::::::

set var(debug_tcl) 1 			; # toggle tcl debug (0,1)
set var(debug_queue_mode) 10 	; # queue monitor mode (0/1/2/3: no monitor/queue-monitor/queue trace/flowmon)
set var(queue_sampling_interval_) 0.001

#:::::::::::::::: workload config ::::::::::::::::

set var(sim_end) 60000 			; # number of flows completed to end (100000)

set var(finMode) "flow" 		; # task/flow
set var(genMode) "batch" 		; # continue/batch
set var(flow_end) 100 			;
set var(task_end) 20 			;

set var(load) 0.6 				; # network utilization (0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8)
set var(workload) "CDF_VL2" 		; # workload (CDF_VL2,CDF_DCTCP)
set var(pkt_size_) 1460
set var(mean_flow_size) [expr 5117*$var(pkt_size_)] ; # mean flow size of above workload (VL2: 5117*1460bytes)

#:::::::::::::::: network ::::::::::::::::

# topology
set var(topo_spt) 8 			; # server per tor (16) 8
set var(topo_tors) 4 			; # number of tors (9) 4 
set var(topo_spines) 2 			; # number of spines (4) 2
set var(topo_x) 1 				; # overscription (cap.s2t/cap.t2s) factor at TOR (1)

# delay
set var(link_rate) 10 			; # capacity (10Gbps)
set var(link_delay) 0.0000002 	; # mean link delay (0.0000002s)
set var(host_delay) 0.0000025 	; # host delay (0.0000025s)

#:::::::::::::::: Agent/TCP/ ::::::::::::::::

Agent/TCP set packetSize_ $var(pkt_size_)

#:::::::::::::::: Agent/TCP/FullTcp ::::::::::::::::

Agent/TCP/FullTcp set segsize_ $var(pkt_size_)

#:::::::::::::::: Queue/ ::::::::::::::::

Queue/DropTail set queue_in_bytes_ true
Queue/DropTail set mean_pktsize_ [expr $var(pkt_size_) + 40]
